#pragma once
#include "Theodosius.h"
#include <Windows.h>
#include <stdio.h>

void UsermodeMutateDemo();
void UsermodeNoObfuscation();

class VirtualFuncDemo
{
public:
	explicit VirtualFuncDemo();
	virtual ~VirtualFuncDemo();
	virtual void PrintTest();
};

class Demo : public VirtualFuncDemo
{
public:
	explicit Demo();
	~Demo() override;
	void PrintTest() override;
};

class Demo2 : public VirtualFuncDemo
{
public:
	explicit Demo2();
	~Demo2() override;
	void PrintTest() override;
};